Package: org.apache.groovy.ginq.dsl

## [Java] Interface SyntaxErrorReportable

-     public interface SyntaxErrorReportable

  Supports reporting the syntax error of GINQ

  Since:
    4.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `collectSyntaxError(GinqSyntaxError ginqSyntaxError)`
    `` | `public SourceUnit` | `getSourceUnit()`

- - ### Method Detail

    - #### public void collectSyntaxError(GinqSyntaxError ginqSyntaxError)

    - #### public SourceUnit getSourceUnit()